# Akamai\Open\EdgeGrid\Client::setLogger

#### Set a PSR-3 compatible logger (or use monolog by default)

## Signature

`public function setLogger([LoggerInterface $logger = null, [string $messageFormat = GuzzleHttp\MessageFormatter::CLF]] )`

## Parameters

`$logger` — object
`$messageFormat` — string
  Message format

## Returns

$this

## Test Coverage

### Information

- Coverage: 10/10 Lines (100%)
- Tests: 11
- Passed: 11 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #0
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #1
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #4
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #5
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #6
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLoggingRedirect
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLoggingDefault
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLoggingRequestHandler
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testSetSimpleLog